Modify

Opened 17 months ago

Closed 29 hours ago

#12022 closed defect (fixed)

GNOME AtkWrapper causing LOTS of UI issues/exceptions with OpenJDK8 on Debian/Ubuntu

Reported by: malenki Owned by: team
Priority: critical Milestone:
Component: Core Version: tested
Keywords: java8 linux debian ubuntu mint openjdk gnome atk accessibility Cc: naoliv, *Martin*, GerdP, sebastic, h4ck3rm1k3, alexkemp

Description (last modified by Don-vip)

Please watch the attached video (2MB), the issue is quite hard to explain:

When having selected data and then clicking on one or some objects in the selections window, way ID, node ID, version etc. are shown. That is not bad, but when selecting several items in the window, the same ID is shown on different places.
This also works for marking some of the tags of one (or more) selected object. This is more irritating than the behaviour mentioned before, but sometimes harder to reproduce.
OSM data is not altered by this behaviour.

This only happens on Java 1.8 – the version used is

openjdk version "1.8.0_66-internal"
OpenJDK Runtime Environment (build 1.8.0_66-internal-b01)
OpenJDK 64-Bit Server VM (build 25.66-b01, mixed mode)

I used a blank ~/.josm on Linux LMDE 2 Betsy
Tested with r8964, the issue shows also up with r7499, older versions I didn't test.

Attachments (10)

out.ogv (1.9 MB) - added by malenki 17 months ago.
Video of tags and names of selected objects getting mixed up
ok.png (19.8 KB) - added by mdk 17 months ago.
3access.png (17.1 KB) - added by mdk 17 months ago.
4access.png (16.7 KB) - added by mdk 17 months ago.
5access.png (16.1 KB) - added by mdk 17 months ago.
access=access.png (16.4 KB) - added by mdk 17 months ago.
highway=access.png (17.0 KB) - added by mdk 17 months ago.
ValidatorGood.png (32.7 KB) - added by mdk 17 months ago.
validatorBad.png (31.3 KB) - added by mdk 17 months ago.
jstack_trace.txt (55.8 KB) - added by alexkemp 31 hours ago.
jstack trace obtained whilst JOSM-stable was in deadlock

Change History (84)

Changed 17 months ago by malenki

Attachment: out.ogv added

Video of tags and names of selected objects getting mixed up

comment:1 Changed 17 months ago by malenki

Description: modified (diff)
Summary: names/tags mixed up when selectingdisplay of names/tags mixed up when selecting
Version: latest

comment:2 Changed 17 months ago by malenki

Description: modified (diff)

comment:3 Changed 17 months ago by Don-vip

Keywords: java8 linux added; java_8 removed

comment:4 Changed 17 months ago by Don-vip

it looks like the same problem than #11920. Can you please test with Java 7 and see if the result if the same?

I need your status report including command line options please.

comment:5 in reply to:  4 Changed 17 months ago by malenki

Replying to Don-vip:

it looks like the same problem than #11920.

I looked for several keywords I could think of but obviously didn't find this ticket.

Can you please test with Java 7 and see if the result if the same?

As I said the issue appears only with Java 8. This means it doesn't with Java 7.

I need your status report including command line options please.

Usually I run JOSM with this auto update script which uses this line to start JOSM: ($useopengl is empty):

aoss java -jar -Xmx14000 -Dsun.java2d.opengl=$useopengl $jarfile $@ >~/.josm/josm.log 2>&1 &

The older version I invoked with just java -jar $file

Report:

Revision: 8964
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: simon04
Last Changed Date: 2015-10-27 23:40:20 +0100 (Tue, 27 Oct 2015)
Build-Date: 2015-10-28 02:32:10
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8964

Identification: JOSM/1.5 (8964 de) Linux LMDE 2 Betsy
Memory Usage: 664 MB / 2222 MB (494 MB allocated, but free)
Java version: 1.8.0_66-internal, Oracle Corporation, OpenJDK 64-Bit Server VM
VM arguments: [-Dsun.java2d.opengl=false]
Dataset consistency test: No problems found

Plugins:
- FastDraw (31694)
- FixAddresses (31694)
- HouseNumberTaggingTool (31603)
- ImportImagePlugin (31603)
- InfoMode (31603)
- Mapillary (31694)
- OpeningHoursEditor (31696)
- PicLayer (31694)
- RoadSigns (31694)
- ShapeTools (1000)
- apache-commons (31718)
- apache-http (31687)
- buildings_tools (31694)
- conflation (0.1.8)
- contourmerge (1013)
- download_along (31603)
- editgpx (31603)
- ext_tools (31603)
- fieldpapers (v0.4.0)
- geotools (31603)
- imagery_offset_db (31694)
- jts (31603)
- log4j (31603)
- mapdust (31694)
- measurement (31694)
- photo_geotagging (31694)
- photoadjust (31694)
- reltoolbox (31694)
- reverter (31694)
- tag2link (31603)
- tageditor (31615)
- terracer (31694)
- todo (29154)
- turnrestrictions (31694)
- undelete (31603)
- utilsplugin2 (31694)
- waydownloader (31603)
- wikipedia (31694)

Last errors/warnings:
- W: Cannot lock cache directory. Will not use disk cache
- W: Cannot start IPv4 remotecontrol server on port 8111: Die Adresse wird bereits verwendet
- W: Cannot start IPv6 remotecontrol server on port 8111: Die Adresse wird bereits verwendet
- W: Cannot start IPv4 remotecontrol https server on port 8112: Die Adresse wird bereits verwendet
- W: Cannot start IPv6 remotecontrol https server on port 8112: Die Adresse wird bereits verwendet

comment:6 Changed 17 months ago by Don-vip

Description: modified (diff)

comment:7 Changed 17 months ago by Don-vip

Keywords: mint added

comment:8 Changed 17 months ago by Don-vip

Cc: naoliv added

What is the exact version of Java 7 that works for you? naoliv has the problem on Debian with 1.7.0_85

Last edited 17 months ago by Don-vip (previous) (diff)

comment:9 in reply to:  8 Changed 17 months ago by malenki

Replying to Don-vip:

What is the exact version of Java 7 that works for you? naoliv has the problem on Debian with 1.7.0_85

java version "1.7.0_79"
OpenJDK Runtime Environment (IcedTea 2.5.6) (7u79-2.5.6-1~deb8u1)
OpenJDK 64-Bit Server VM (build 24.79-b02, mixed mode)

Changed 17 months ago by mdk

Attachment: ok.png added

Changed 17 months ago by mdk

Attachment: 3access.png added

Changed 17 months ago by mdk

Attachment: 4access.png added

Changed 17 months ago by mdk

Attachment: 5access.png added

Changed 17 months ago by mdk

Attachment: access=access.png added

Changed 17 months ago by mdk

Attachment: highway=access.png added

comment:10 Changed 17 months ago by mdk

Here some details I found:
When I first select a way; I get the correct result:

But when I switch between the two ways 373809859 and 99155459 back and forth I get randomly strange results like:





I am using

Revision: 8971
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: Don-vip
Last Changed Date: 2015-10-31 01:32:04 +0100 (Sat, 31 Oct 2015)
Build-Date: 2015-10-31 02:32:27
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8971

Identification: JOSM/1.5 (8971 en) Linux Ubuntu 15.10
Memory Usage: 340 MB / 876 MB (119 MB allocated, but free)
Java version: 1.8.0_66-internal, Oracle Corporation, OpenJDK Server VM
VM arguments: [-Djosm.restart=true, -Djosm.home=/home/michael/.josm-latest, -Djava.net.useSystemProxies=true]
Dataset consistency test: No problems found

Changed 17 months ago by mdk

Attachment: ValidatorGood.png added

Changed 17 months ago by mdk

Attachment: validatorBad.png added

comment:11 Changed 17 months ago by mdk

Ok, forget about my last posting. It's a much more general problem. Also affected are dropdown lists, validator result list, etc.

For example the validator result list:

Changing the selected list item (icons and text is changing):

Ubuntu 15.10 now updates to

openjdk version "1.8.0_66-internal"
OpenJDK Runtime Environment (build 1.8.0_66-internal-b17)
OpenJDK Server VM (build 25.66-b17, mixed mode)

comment:12 Changed 17 months ago by mdk

see also #12057

comment:13 Changed 16 months ago by mdk

see also #12126

comment:14 Changed 16 months ago by Don-vip

Ticket #12126 has been marked as a duplicate of this ticket.

comment:15 Changed 16 months ago by Don-vip

Ticket #12057 has been marked as a duplicate of this ticket.

comment:16 Changed 16 months ago by Don-vip

Ticket #11920 has been marked as a duplicate of this ticket.

comment:17 Changed 16 months ago by Don-vip

Keywords: debian ubuntu added
Priority: normalmajor

comment:18 Changed 16 months ago by Don-vip

Cc: *Martin* added

comment:19 Changed 16 months ago by Don-vip

Are you all using Gnome? Maybe #12062 could be the underlying issue. Can someone please try to disable/uninstall Gnome Java ATK wrapper to see if it changes anything?

comment:20 Changed 16 months ago by mdk

No, I use Unity. But Unity uses some Gnome libraries, as far as Iknow.

EDIT: But Unity (at least in my installation) uses

  • libatk-wrapper-java (0.33.3-3)
  • libatk-wrapper-java-jni (0.33.3-3)
  • libatk1.0-0 (2.16.0-2build1)
Last edited 16 months ago by mdk (previous) (diff)

comment:21 in reply to:  19 ; Changed 16 months ago by malenki

Replying to Don-vip:

Are you all using Gnome?

With me, the error occurs on Linux Mint 64bit as well as on Siduction 32bit. Probably in the next days I am able to check on a Windows, too.
PS: on Siduction I run LXDE with Openbox.

Last edited 16 months ago by malenki (previous) (diff)

comment:22 in reply to:  21 Changed 16 months ago by mdk

Replying to malenki:

Replying to Don-vip:

Are you all using Gnome?

With me, the error occurs on Linux Mint 64bit as well as on Siduction 32bit. Probably in the next days I am able to check on a Windows, too.

Mint based on Ubuntu which based on Dedian. Siduction based on Debian.

Looking at the used Destops:

  • affected: Gnome, Unity
  • not affected:
  • unknown: KDE, Xfce, LXDE, Razor-qt, ...

Mint normaly use Cinnamon (based on Gnome 3) or Mate (Based on Gnome 2) and Siduction supports KDE, Xfce, GNOME, LXDE, Razor-qt. Which are you using?

Also interesting: Which Java version are you using on the systems and for the hint of Don-Vip, are you using libatk? Hopefully we will find a pattern for this bug.

comment:23 Changed 16 months ago by naoliv

I use awesome (http://awesome.naquadah.org/)
I will be able to test on monday if commenting assistive_technologies=org.GNOME.Accessibility.AtkWrapper in /etc/java-8-openjdk/accessibility.properties fixes this.

comment:24 Changed 16 months ago by *Martin*

Xfce is affected - see the duplicate #12057

comment:25 Changed 16 months ago by *Martin*

@Xfce - comment23 fixes the problem. THANKS!

comment:26 Changed 16 months ago by naoliv

Yep, commenting assistive_technologies=org.GNOME.Accessibility.AtkWrapper fix this indeed.

comment:27 Changed 16 months ago by Klumbumbus

Ticket #12139 has been marked as a duplicate of this ticket.

comment:28 Changed 16 months ago by Klumbumbus

Cc: GerdP added
Milestone: 15.12
Priority: majorcritical

comment:29 Changed 16 months ago by TPAA

I am running Windows 10 with Java 1.8.0_66 and I have the same problem in version 9060.

comment:30 Changed 16 months ago by malenki

Keywords: windows 10 added

comment:31 in reply to:  29 Changed 16 months ago by Don-vip

Replying to TPAA:

I am running Windows 10 with Java 1.8.0_66 and I have the same problem in version 9060.

Can you please post your status report and screenshots showing the problem?

comment:32 Changed 16 months ago by GerdP

Note that I am no longer able to reproduce the problem.
It occured after updating JOSM to 9060. A popup regarding the plugins asked me to confirm the update, I confirmed it, some plugins were downloaded and the start screen appeared.
So I started to edit. When I recognized the problem I stopped JOSM and started it again. The plugin popup showed up again and one more plugin was updated. I don't remember which one :-(

My status report now:
URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2015-11-24 00:04:12 +0100 (Tue, 24 Nov 2015)
Build-Date:2015-11-23 23:14:21
Revision:9060
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9060 en) Windows 10 64-Bit
Memory Usage: 1379 MB / 3641 MB (527 MB allocated, but free)
Java version: 1.8.0_66, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dsun.java2d.opengl=true]

Plugins:
- apache-commons (31772)
- buildings_tools (31772)
- ejml (31772)
- geotools (31774)
- jts (31772)
- o5m (${version.entry.commit.revision})
- opendata (31772)
- pbf (31772)
- poly (31772)
- reverter (31772)
- utilsplugin2 (31772)
Last edited 16 months ago by Don-vip (previous) (diff)

comment:33 Changed 16 months ago by Don-vip

Keywords: windows 10 removed

comment:34 Changed 16 months ago by GerdP

I just noticed the problem again, means, I have now a JOSM session that
shows the problem. Please let me know if I can send any details.

comment:35 Changed 16 months ago by GerdP

I have a dialog box showing these three tags:
man_made=goods_conveyor
highway=conveyor
covered=yes

Note that the tags are not ordered by name as usual.
When I double-click on the man_made line it shows the covered=yes line. (3rd instead of 1st)
When I double-click on the "covered=*" line it shows the man-made line. (1st instead of 3rd)
When I double-click on the "highway=*" line it shows the highway line. (ok)

To me it looks as if JOSM assumes the rows to be sorted by tag key and they are not.

comment:36 Changed 16 months ago by malenki

A fresh Windows 7 with Java 8 and JOSM 9060 doesn't show the behaviour as reported in the OP.

comment:37 Changed 16 months ago by TPAA

I was not able to reproduce the error this time - but the symptoms were like in GerdP's case.

I thought that the index was off-set by one, when clicking the third row of tags, the window open on the second line tag/value, etc. It even wrapped over so the clicking the first line opened the last.

I will try to find if this occurs when an object has several tags.

comment:38 Changed 16 months ago by GerdP

I am now able to reproduce the problem,
and I think the reason for the problem is very simple.
The dialog box allows to sort the values by tag key or tag value
(double click on the header).
The problem occurs when the values are not sorted by tag key in ascending order.

No idea where to fix that.

comment:39 Changed 16 months ago by Don-vip

To all windows users: your issue is not the one discussed here but it was #12153, fixed in r9086.

comment:40 Changed 16 months ago by Don-vip

Keywords: openjdk gnome atk accessibility added
Milestone: 15.12
Resolution: othersoftware
Status: newclosed

Issue comes from the enabling in OpenJDK8 of assistive_technologies=org.GNOME.Accessibility.AtkWrapper.
Disabling it in /etc/java-8-openjdk/accessibility.properties solves the issue. Further information can be found here and here.

comment:41 Changed 16 months ago by malenki

Thank you for finding a cause and delivering a workaround for this irritating behaviour,

comment:42 Changed 15 months ago by Don-vip

Ticket #12062 has been marked as a duplicate of this ticket.

comment:43 Changed 15 months ago by Don-vip

Ticket #12332 has been marked as a duplicate of this ticket.

comment:44 Changed 14 months ago by Don-vip

Ticket #12061 has been marked as a duplicate of this ticket.

comment:45 Changed 14 months ago by Don-vip

Ticket #12063 has been marked as a duplicate of this ticket.

comment:46 Changed 14 months ago by Don-vip

Ticket #12451 has been marked as a duplicate of this ticket.

comment:47 Changed 14 months ago by Don-vip

Cc: sebastic added

I sent an e-mail to Debian BTS asking to disable ATK bridge, using reportbug -B debian. It's the first time I use this tool, I hope I did everything OK.

comment:49 Changed 14 months ago by Don-vip

In 9750/josm:

see #12022 - Disable GNOME Atk Java wrapper on Linux

comment:50 Changed 14 months ago by bastiK

Great, problem solved! :)

comment:51 Changed 14 months ago by Don-vip

I couldn't test it as I wasn't on Linux when committing. Are you absolutely positive the problems are solved even with ATK wrapper enabled?

comment:52 Changed 13 months ago by Don-vip

Ticket #12145 has been marked as a duplicate of this ticket.

comment:53 Changed 11 months ago by Don-vip

Ticket #12811 has been marked as a duplicate of this ticket.

comment:54 Changed 10 months ago by Don-vip

Ticket #12931 has been marked as a duplicate of this ticket.

comment:55 Changed 10 months ago by Don-vip

Obviously the fix doesn't work.

comment:56 Changed 10 months ago by Don-vip

@sebastic: do you know why accessibility.properties has disappeared between willy and xenial from openjdk-8 package?

http://packages.ubuntu.com/wily/amd64/openjdk-8-jre-headless/filelist
http://packages.ubuntu.com/xenial/amd64/openjdk-8-jre-headless/filelist

I don't understand now where does AtkWrapper come from.

comment:57 Changed 10 months ago by Don-vip

Ticket #12938 has been marked as a duplicate of this ticket.

comment:58 Changed 9 months ago by Don-vip

Ticket #12989 has been marked as a duplicate of this ticket.

comment:59 Changed 9 months ago by Don-vip

Ticket #12990 has been marked as a duplicate of this ticket.

comment:60 Changed 9 months ago by Don-vip

ATKWrapper is really annoying. I already asked to Debian maintainer to disable it but it seems not going to happen. Sebastic, what do you think we can do?

comment:61 Changed 9 months ago by Don-vip

Resolution: othersoftware
Status: closedreopened
Summary: display of names/tags mixed up when selectingGNOME AtkWrapper causing LOTS of UI issues/exceptions with OpenJDK8 on Debian/Ubuntu

comment:62 Changed 9 months ago by Don-vip

Ticket #13075 has been marked as a duplicate of this ticket.

comment:63 Changed 8 months ago by Don-vip

Ticket #13280 has been marked as a duplicate of this ticket.

comment:64 Changed 8 months ago by Don-vip

In 10734/josm:

see #12022 - Add Gnome Atk wrapper package details to status report

comment:65 Changed 8 months ago by Don-vip

Ticket #13286 has been marked as a duplicate of this ticket.

comment:66 Changed 8 months ago by Don-vip

Cc: h4ck3rm1k3 added

@h4ck3rm1k3: I see you face the bug with libatk-wrapper-java-jni 0.33.3-6 on Debian Sid.
According to https://packages.debian.org/en/sid/libatk-wrapper-java-jni the latest version is 0.33.3-8 and should contain the fix, can you please try to update?

Changelog: http://metadata.ftp-master.debian.org/changelogs//main/j/java-atk-wrapper/java-atk-wrapper_0.33.3-8_changelog

The new version will be included in Ubuntu 16.10 too: http://packages.ubuntu.com/yakkety/libatk-wrapper-java-jni

comment:67 Changed 7 months ago by Don-vip

Ticket #11888 has been marked as a duplicate of this ticket.

comment:68 Changed 7 months ago by Don-vip

Ticket #13312 has been marked as a duplicate of this ticket.

comment:69 Changed 5 weeks ago by Don-vip

Resolution: othersoftware
Status: reopenedclosed

comment:70 Changed 11 days ago by Don-vip

Ticket #14517 has been marked as a duplicate of this ticket.

comment:71 Changed 11 days ago by Don-vip

Cc: alexkemp added

comment:72 Changed 31 hours ago by alexkemp

Resolution: othersoftware
Status: closedreopened
Version: latesttested

I've reported a system freeze on more than one occasion. It has reoccurred once again with JOSM-stable. A stack-trace using jps then jstack 8820 > ./jstack_trace.txt will be (hopefully) be attached. No mention of ATK appears anywhere within the trace (because ATK-Wrapper is switched OFF in Debian) (cat jstack_trace.txt | fgrep -i atk). Think again.

Changed 31 hours ago by alexkemp

Attachment: jstack_trace.txt added

jstack trace obtained whilst JOSM-stable was in deadlock

comment:73 Changed 29 hours ago by Don-vip

OK let's reopen your ticket, then. This one is really dedicated to ATK.

comment:74 Changed 29 hours ago by Don-vip

Resolution: fixed
Status: reopenedclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.